<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlast/Interface.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlast.Interface</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idlast.html" >idlast</a>
</div><div class="class-name">class Interface

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idlast.py.html" target="detail">../Synopsis/Parsers/IDL/idlast.py</a></div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line330" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Interface-inheritance" src="Interface-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Interface-inheritance_map" />
<map name="Interface-inheritance_map"><area alt="Scopes/Synopsis/Parsers/IDL/idlast/Decl.html" href="Decl.html" shape="rect" coords="5, 7, 205, 31" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/DeclRepoId.html" href="DeclRepoId.html" shape="rect" coords="229, 7, 472, 31" />
</map>
 <div class="doc">Interface declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  abstract&#40;&#41;     -- boolean: true if the interface is declared abstract.
  local&#40;&#41;        -- boolean: true if the interface is declared local.
  inherits&#40;&#41;     -- list of Interface objects from which this one
                    inherits.
  contents&#40;&#41;     -- list of Decl objects for all items declared within
                    this interface.
  declarations&#40;&#41; -- subset of contents&#40;&#41; containing types&#44; constants
                    and exceptions.
  callables&#40;&#41;    -- subset of contents&#40;&#41; containing Operations and
                    Attributes.
  all_callables&#40;&#41;-- callables of this and inherited interfaces.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_setContents">_setContents</a>(<span class="variable">self</span>, <span class="variable">contents</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface._setContents" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line361" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__abstract">__abstract</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line354" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__local">__local</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line355" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__inherits">__inherits</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line356" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__contents">__contents</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line357" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__declarations">__declarations</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line358" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__callables">__callables</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line359" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">mainFile</span>, <span class="variable">pragmas</span>, <span class="variable">comments</span>, <span class="variable">identifier</span>, <span class="variable">scopedName</span>, <span class="variable">repoId</span>, <span class="variable">abstract</span>, <span class="variable">local</span>, <span class="variable">inherits</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line347" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.accept" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line370" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="abstract">abstract</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.abstract" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line372" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="local">local</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.local" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line373" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="inherits">inherits</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.inherits" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line374" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="contents">contents</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.contents" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line375" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="declarations">declarations</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.declarations" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line376" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="callables">callables</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.callables" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line377" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="all_callables">all_callables</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface.all_callables" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line378" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Decl">
<tr><td colspan="2" class="heading">Attributes Inherited from Decl</td></tr>
<tr><td class="inherited"><a href="Decl.html#__file" title="attribute Decl.__file">__file</a>,
<a href="Decl.html#__line" title="attribute Decl.__line">__line</a>,
<a href="Decl.html#__mainFile" title="attribute Decl.__mainFile">__mainFile</a>,
<a href="Decl.html#__builtIn" title="attribute Decl.__builtIn">__builtIn</a>,
<a href="Decl.html#__pragmas" title="attribute Decl.__pragmas">__pragmas</a>,
<a href="Decl.html#__comments" title="attribute Decl.__comments">__comments</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Decl">
<tr><td colspan="2" class="heading">Methods Inherited from Decl</td></tr>
<tr><td class="inherited"><a href="Decl.html#file" title="method Decl.file">file</a>,
<a href="Decl.html#line" title="method Decl.line">line</a>,
<a href="Decl.html#mainFile" title="method Decl.mainFile">mainFile</a>,
<a href="Decl.html#builtIn" title="method Decl.builtIn">builtIn</a>,
<a href="Decl.html#pragmas" title="method Decl.pragmas">pragmas</a>,
<a href="Decl.html#comments" title="method Decl.comments">comments</a>,
<a href="Decl.html#fullDecl" title="method Decl.fullDecl">fullDecl</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from DeclRepoId">
<tr><td colspan="2" class="heading">Attributes Inherited from DeclRepoId</td></tr>
<tr><td class="inherited"><a href="DeclRepoId.html#__identifier" title="attribute DeclRepoId.__identifier">__identifier</a>,
<a href="DeclRepoId.html#__scopedName" title="attribute DeclRepoId.__scopedName">__scopedName</a>,
<a href="DeclRepoId.html#__repoId" title="attribute DeclRepoId.__repoId">__repoId</a></td></tr></table>
<table width="100%" summary="Methods Inherited from DeclRepoId">
<tr><td colspan="2" class="heading">Methods Inherited from DeclRepoId</td></tr>
<tr><td class="inherited"><a href="DeclRepoId.html#identifier" title="method DeclRepoId.identifier">identifier</a>,
<a href="DeclRepoId.html#scopedName" title="method DeclRepoId.scopedName">scopedName</a>,
<a href="DeclRepoId.html#repoId" title="method DeclRepoId.repoId">repoId</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:03 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
